﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace ThinkGeoProjection
{
    /// <summary>
    ///     Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private RectangleShape _extent;

        public MainWindow()
        {
            InitializeComponent();
            
            mapControl.Loaded += mapControl_Loaded;
        }

        void mapControl_Loaded(object sender, RoutedEventArgs e)
        {
            mapControl.MapUnit = GeographyUnit.Meter;
            var layer = new TabFeatureLayer(@"..\..\source\RoadsSample1.tab");
            layer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(LineStyles.CreateSimpleLineStyle(new GeoColor(150,150,150),3,true )); 
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            var staticOverlay = new LayerOverlay();
            staticOverlay.Layers.Add("layer", layer);
            mapControl.Overlays.Add(staticOverlay);
            layer.Open();
            _extent = layer.GetBoundingBox();
            layer.Close();
            mapControl.CurrentExtent = _extent;

            mapControl.Refresh();
        }
    }
}